<!----------------------------------------------------------------------------------------------------------------------
  -- Main Page
  --------------------------------------------------------------------------------------------------------------------->

<template>
    <BContainer id="main-page" class="mt-2">
        <BCard bg-variant="light">
            <BCardTitle>Welcome!</BCardTitle>
            <BCardText>
                This project is a very simple template for getting started with <code>Vue3</code>,
                <code>BootStrapVueNext</code>, <code>Bootstrap 5</code>, <code>Typescript 5</code> and
                <code>Express 5</code>. It uses the latest recommendations from <code>Vite</code> and
                <code>Typescript</code>. It is entirely written in the Composition API, and should be as up to date
                with all Vue3 recommendations as of <span class="text-muted">Aug 24, 2024</span>.
            </BCardText>
            <BButton
                variant="primary"
                href="https://gitlab.com/skewed-aspect/seed-projects/vue3-bootstrap"
                target="_blank"
            >
                <FaIcon :icon="[ 'fab', 'gitlab' ]" />
                GitLab Project
            </BButton>
        </BCard>
        <div class="text-center text-muted">
            v{{ version }}
        </div>
    </BContainer>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<script lang="ts" setup>
    import { useObservable } from '../lib/composables/rxjs.js';

    // Managers
    import versionMan from '../lib/managers/version.js';

    //------------------------------------------------------------------------------------------------------------------
    // Refs
    //------------------------------------------------------------------------------------------------------------------

    const version = useObservable(versionMan.version$);

</script>

<!--------------------------------------------------------------------------------------------------------------------->
